/*
 * Common Unit Testing Functions
 * Copyright (C) 2003 Johnathan Ingram, jingram@rogueware.org
 *
 * This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
 *
 *
 * All functions are inline 
 */


#include <iostream>
#include <string>


#define  UNIT_TEST_INTRO "UNIT TEST: "
#define  INDENT          "   "
#define  INDENT2         "      "


using namespace std;


void 
printTestHeader(
      const string &unitTest)
{ 
   int len = strlen(UNIT_TEST_INTRO) + unitTest.length();
   
   for (int i=0; i<len; i++)
      cout << "-";
   cout << endl;
   cout << UNIT_TEST_INTRO << unitTest.c_str() << endl;
   cout << endl;
}


void 
printTestFooter(
      const string &unitTest)
{
   int len = strlen(UNIT_TEST_INTRO) + unitTest.length();
   
   cout << endl;
   cout << UNIT_TEST_INTRO << unitTest.c_str() << endl;
   for (int i=0; i<len; i++)
      cout << "-";
   cout << endl;   
}
