/*
 * DB2FieldDescription object defines the needed attributes of DB2 fields
 * Copyright (C) 2003 Johnathan Ingram, jingram@rogueware.org
 *
 * This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
 *
 */

#include "ibmDB2FieldDescription.h"

//------------------------------------------------------------------------------
// DB2FieldDescription::DB2FieldDescription
//------------------------------------------------------------------------------
DB2FieldDescription::DB2FieldDescription(
   string&     name,
   long int    position,
   FieldType   type,
   bool        isIncrement,
   bool        isPriKey,
   bool        isUnique,
   bool        isNotNull,
   long int    precision,
   long int    scale,
   SQLSMALLINT db2SQLFieldType,
   SQLUINTEGER dbcolSize)   
:  BaseFieldDescription(name, position, type, isIncrement, isPriKey,
                        isUnique, isNotNull, precision, scale),
   _db2SQLFieldType(db2SQLFieldType),
   _dbcolSize(dbcolSize)
{

}  // DB2FieldDescription::::DB2FieldDescription::          


//------------------------------------------------------------------------------
// DB2FieldDescription::db2FieldType
//------------------------------------------------------------------------------
SQLSMALLINT
DB2FieldDescription::db2FieldType()
{
   return _db2SQLFieldType;   
}  // DB2FieldDescription::db2FieldType          


//------------------------------------------------------------------------------
// DB2FieldDescription::db2FieldSize
//------------------------------------------------------------------------------
SQLUINTEGER
DB2FieldDescription::db2FieldSize()
{
   return _dbcolSize;   
}  // DB2FieldDescription::db2FieldSize
