/*
 * MysqBindParam object defines the needed conversion of bind parameters
 * Copyright (C) 2002 Johnathan Ingram, jingram@rogue-order.net
 *
 * This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
 *
 */

#ifndef __MYSQL_BINDPARAM_H__
#define __MYSQL_BINDPARAM_H__

#include <string>

#include "baseValue.h"
#include "mysql.h"


using namespace std;


class MysqlBindParam : public BaseValue
{
private: 

public:
 
   MysqlBindParam(
      const string& bindName)
      : BaseValue(bindName) 
   { };


   /* Converts the parameter to a mysql query string representation.
    *
    * @return   String that can be used in a mysql query for the parameter type.
    */
   string 
   paramToMySQLString();
};


#endif

