/*
 * MysqlValue object defines the needed conversion result values
 * Copyright (C) 2003 Johnathan Ingram, jingram@rogueware.org
 *
 * This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
 *
 */


#include "mysqlValue.h"


// -----------------------------------------------------------------------------
// PRIVATE:
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// PUBLIC:
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// MysqlValue::MysqlValue
// -----------------------------------------------------------------------------
MysqlValue::MysqlValue(
      const string& bindName)
   : 
      BaseValue(bindName)
{ 
   
}  // MysqlValue::MysqlValue


// -----------------------------------------------------------------------------
// MysqlValue::~MysqlValue
// -----------------------------------------------------------------------------
MysqlValue::~MysqlValue()
{ 
   // If the field was a BLOB type, the the copy was deep and we need to free it
   //   required to be freed.
   if (type == BP_BINARY && valuePtr.ptr)
   {      
      free(valuePtr.ptr);  // Free the memory allocated by the query object
   }
}  // MysqlValue::~MysqlValue
